## uClinux-dist-d986dcc.zip

=== config/Makefile ===

all:

include Makefile.conf

oldconfig: conf autoconf
	$(SCRIPTSDIR)/conf -o Kconfig

config: conf autoconf
	$(SCRIPTSDIR)/conf Kconfig

menuconfig: mconf autoconf
	$(SCRIPTSDIR)/mconf Kconfig

gconfig: gconf autoconf
	$(SCRIPTSDIR)/gconf Kconfig

qconfig: qconf autoconf
	$(SCRIPTSDIR)/qconf Kconfig

xconfig: gconfig autoconf

.PHONY: automake force autoclean
autoconf: ../vendors/Kconfig ../lib/Kconfig.auto ../user/Kconfig.auto   automake
automake: ../lib/Makefile.auto ../user/Makefile.auto  
force:

#
# build the auto config Kconfig.auto files and their Makefile.auto components
# also include any vendor Kconfig files if they exist.
#
../vendors/Kconfig ../lib/Kconfig.auto ../user/Kconfig.auto  : force

../vendors/Kconfig: Makefile
	@echo "# autogenerated, do not EDIT" > $@; \
	. ../.config; \
	for i in $$CONFIG_VENDOR/$$CONFIG_PRODUCT/. $$CONFIG_VENDOR/.; do \
		[ -f ../vendors/$$i/Kconfig ] || continue; \
		echo "source ../vendors/$$i/Kconfig" >> $@; \
		echo "autoconf: vendors/$$i/Kconfig"; \
	done

../lib/Kconfig.auto ../user/Kconfig.auto ../lib/Makefile.auto ../user/Makefile.auto  : Makefile
	@cd `dirname $@`; \
	P=`dirname $(@)`; \
	T=`basename $$P | tr '[a-z]' '[A-Z]'`; \
	echo "# autogenerated, do not EDIT" > Kconfig.auto; \
	echo "# autogenerated, do not EDIT" > Makefile.auto; \
	fgrep -l automake.inc */[mM]akefile 2> /dev/null | while read t; do \
		D=`dirname $$t`; \
		M=`echo $$D | tr '[a-z]' '[A-Z]' | sed 's/[-+]/_/g'`; \
		if [ -f $$D/Kconfig ]; then \
			echo "automake: $$D (custom Kconfig)"; \
			echo "source  $$P/$$D/Kconfig" >> Kconfig.auto; \
		else \
			echo "automake: $$D (default Kconfig)"; \
			( \
			echo "config $${T}_$${M}"; \
		    echo "bool \"$$D\""; \
			echo "help"; \
			echo "    Automake package for $$D."; \
			echo "    see $(ROOTDIR)/Documentation/automake.txt for details"; \
			echo "    on improving this help."; \
			) >> Kconfig.auto; \
		fi; \
		echo "dir_$$""(CONFIG_$${T}_$${M})	+= $$D" >> Makefile.auto; \
		if [ -f $$D/Makefile.auto ]; then \
			echo "include $$D/Makefile.auto" >> Makefile.auto; \
		fi; \
	done

autoclean:
	rm -f ../lib/Kconfig.auto ../user/Kconfig.auto
	rm -f ../lib/Makefile.auto ../user/Makefile.auto
	rm -f  
	rm -f ../vendors/Kconfig

clean: confclean autoclean
	rm -f autoconf.h auto.conf .config .config.old

.PHONY: all oldconfig config menuconfig gconfig qconfig xconfig clean

=== freeswan/Makefile ===
# FreeS/WAN master makefile
# Copyright (C) 1998-2002  Henry Spencer.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.  See <http://www.fsf.org/copyleft/gpl.txt>.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# RCSID $Id: Makefile,v 1.163.2.5 2002/04/12 04:08:31 mcr Exp $



include Makefile.inc
include Makefile.ver



# kernel details
# what variant of our patches should we use, and where is it
# don't take KERNELREL too seriously; "2.3" does include 2.4
KERNELREL=$(shell { test -f $(FILIN24) && echo 2.3; } || \
		{ test -d $(DIRIN22) && echo 2.2; } )
PATCHES=klips/patches$(KERNELREL)
# where KLIPS goes in the kernel
# note, some of the patches know the last part of this path
KERNELKLIPS=$(KERNELSRC)/net/ipsec

# directories visited install, programs, check, etc.
SUBDIRS=libdes lib pluto klips utils testing

# declaration for make's benefit
.PHONY:	def insert klink patches _patches _patches2.2 _patches2.3 \
	klipsdefaults programs install clean distclean \
	ogo oldgo menugo xgo \
	omod oldmod menumod xmod \
	orpm oldrpm menurpm xrpm rpm\
	pcf ocf mcf xcf \
	precheck verset confcheck kernel module kinstall minstall \
	rpminstall rpmkinstall rpms backup unpatch uinstall_freeswan \
	snapready relready ready buildready devready uml check

# dummy default rule
def:
	@echo "Please read doc/intro.html or INSTALL before running make"
	@false

# everything that's necessary to put Klips into the kernel
insert:	patches klink klipsdefaults

# create KERNELKLIPS and populate it with symlinks to the sources
klink:
	rm -rf $(KERNELKLIPS)
	mkdir -p $(KERNELKLIPS)/libdes/asm
	mkdir -p $(KERNELKLIPS)/libfreeswan
	mkdir -p $(KERNELKLIPS)/zlib
	$(KLIPSLINK) `pwd`/klips/net/ipsec/Makefile $(KERNELKLIPS)
	$(KLIPSLINK) `pwd`/Makefile.inc $(KERNELKLIPS)
	$(KLIPSLINK) `pwd`/Makefile.ver $(KERNELKLIPS)
	$(KLIPSLINK) `pwd`/klips/net/ipsec/Config.in $(KERNELKLIPS)
	$(KLIPSLINK) `pwd`/klips/net/ipsec/defconfig $(KERNELKLIPS)
	$(KLIPSLINK) `pwd`/klips/net/ipsec/*.[ch] $(KERNELKLIPS)
	mkdir $(KERNELKLIPS)/alg
	$(KLIPSLINK) `pwd`/klips/net/ipsec/alg/* $(KERNELKLIPS)/alg
	$(KLIPSLINK) `pwd`/libcrypto $(KERNELKLIPS)/libcrypto
	$(KLIPSLINK) `pwd`/lib/Makefile.kernel $(KERNELKLIPS)/libfreeswan/Makefile
	$(KLIPSLINK) `pwd`/lib/*.[ch] $(KERNELKLIPS)/libfreeswan
	$(KLIPSLINK) `pwd`/libdes/Makefile $(KERNELKLIPS)/libdes
	$(KLIPSLINK) `pwd`/libdes/*.[ch] $(KERNELKLIPS)/libdes
	$(KLIPSLINK) `pwd`/libdes/asm/*.pl $(KERNELKLIPS)/libdes/asm
	$(KLIPSLINK) `pwd`/libdes/asm/perlasm $(KERNELKLIPS)/libdes/asm
	$(KLIPSLINK) `pwd`/zlib/Makefile $(KERNELKLIPS)/zlib
	$(KLIPSLINK) `pwd`/zlib/*.[chS] $(KERNELKLIPS)/zlib

# patch kernel
PATCHER=utils/patcher
patches:
	echo "===============" >>out.kpatch
	echo "`date` `cd $(KERNELSRC) ; pwd`" >>out.kpatch
	$(MAKE) _patches$(KERNELREL) >>out.kpatch

# Linux-2.0.x version
_patches:
	@$(PATCHER) -v $(KERNELSRC) Documentation/Configure.help \
		'CONFIG_IPSEC' $(PATCHES)/Documentation.Configure.help
	@$(PATCHER) -v $(KERNELSRC) include/linux/in.h \
		'IPPROTO_ESP' $(PATCHES)/include.linux.in.h
	@$(PATCHER) -v $(KERNELSRC) net/Config.in \
		'CONFIG_IPSEC' $(PATCHES)/net.Config.in
	@$(PATCHER) -v $(KERNELSRC) net/Makefile \
		'CONFIG_IPSEC' $(PATCHES)/net.Makefile
	@$(PATCHER) -v $(KERNELSRC) net/ipv4/af_inet.c \
		'CONFIG_IPSEC' $(PATCHES)/net.ipv4.af_inet.c
	@$(PATCHER) -v $(KERNELSRC) net/netsyms.c \
		'ip_fragment' $(PATCHES)/net.netsyms.c
	@$(PATCHER) -v $(KERNELSRC) include/linux/socket.h \
		'PF_KEY' $(PATCHES)/include.linux.socket.h
# Removed patches, will unpatch automatically.
	@$(PATCHER) -v $(KERNELSRC) include/linux/proc_fs.h
	@$(PATCHER) -v $(KERNELSRC) net/core/dev.c
	@$(PATCHER) -v $(KERNELSRC) net/ipv4/protocol.c
	@$(PATCHER) -v $(KERNELSRC) drivers/net/Space.c
	@$(PATCHER) -v $(KERNELSRC) net/netlink.c
	@$(PATCHER) -v $(KERNELSRC) drivers/isdn/isdn_net.c

# Linux-2.2.x version
PATCHES24=klips/patches2.3
_patches2.2:
	@$(PATCHER) -v -c $(KERNELSRC) Documentation/Configure.help \
		'CONFIG_IPSEC' $(PATCHES)/Doc.Configure.help
	@$(PATCHER) -v $(KERNELSRC) include/linux/in.h \
		'IPPROTO_ESP' $(PATCHES)/include.linux.in.h
	@$(PATCHER) -v $(KERNELSRC) net/Config.in \
		'CONFIG_IPSEC' $(PATCHES24)/net.Config.in
	@$(PATCHER) -v $(KERNELSRC) net/Makefile \
		'CONFIG_IPSEC' $(PATCHES)/net.Makefile
	@$(PATCHER) -v $(KERNELSRC) net/ipv4/af_inet.c \
		'CONFIG_IPSEC' $(PATCHES)/net.ipv4.af_inet.c
	@$(PATCHER) -v $(KERNELSRC) net/netsyms.c \
		'neigh_compat_output' $(PATCHES)/net.netsyms.c.1 \
		'inet_addr_type' $(PATCHES)/net.netsyms.c.2
	@$(PATCHER) -v $(KERNELSRC) net/ipv4/udp.c \
		'CONFIG_IPSEC' $(PATCHES)/net.ipv4.udp.c
	@$(PATCHER) -v $(KERNELSRC) include/net/sock.h \
		'CONFIG_IPSEC' $(PATCHES)/include.net.sock.h
#	@$(PATCHER) -v $(KERNELSRC) include/linux/socket.h \
#		'define.AF_KEY' $(PATCHES)/include.linux.socket.h
# Removed patches, will unpatch automatically.
	@$(PATCHER) -v $(KERNELSRC) include/linux/proc_fs.h
	@$(PATCHER) -v $(KERNELSRC) net/core/dev.c
	@$(PATCHER) -v $(KERNELSRC) net/ipv4/protocol.c
	@$(PATCHER) -v $(KERNELSRC) drivers/net/Space.c
	@$(PATCHER) -v $(KERNELSRC) include/linux/netlink.h
	@$(PATCHER) -v $(KERNELSRC) net/netlink/af_netlink.c
	@$(PATCHER) -v $(KERNELSRC) net/netlink/netlink_dev.c
	@$(PATCHER) -v $(KERNELSRC) include/linux/socket.h
	@$(PATCHER) -v $(KERNELSRC) drivers/isdn/isdn_net.c

# Linux-2.4.0 version
PATCHES22=klips/patches2.2
_patches2.3:
	@$(PATCHER) -v -c $(KERNELSRC) Documentation/Configure.help \
		'CONFIG_IPSEC' $(PATCHES22)/Doc.Configure.help
	@$(PATCHER) -v $(KERNELSRC) net/Config.in \
		'CONFIG_IPSEC' $(PATCHES)/net.Config.in
	@$(PATCHER) -v $(KERNELSRC) net/Makefile \
		'CONFIG_IPSEC' $(PATCHES)/net.Makefile
	@$(PATCHER) -v $(KERNELSRC) net/ipv4/af_inet.c \
		'CONFIG_IPSEC' $(PATCHES)/net.ipv4.af_inet.c
	@$(PATCHER) -v $(KERNELSRC) net/ipv4/udp.c \
		'CONFIG_IPSEC' $(PATCHES)/net.ipv4.udp.c
	@$(PATCHER) -v $(KERNELSRC) include/net/sock.h \
		'CONFIG_IPSEC' $(PATCHES)/include.net.sock.h
# Removed patches, will unpatch automatically.
	@$(PATCHER) -v $(KERNELSRC) include/linux/proc_fs.h
	@$(PATCHER) -v $(KERNELSRC) net/core/dev.c
	@$(PATCHER) -v $(KERNELSRC) net/ipv4/protocol.c
	@$(PATCHER) -v $(KERNELSRC) drivers/net/Space.c
	@$(PATCHER) -v $(KERNELSRC) include/linux/netlink.h
	@$(PATCHER) -v $(KERNELSRC) net/netlink/af_netlink.c
	@$(PATCHER) -v $(KERNELSRC) net/netlink/netlink_dev.c
	@$(PATCHER) -v $(KERNELSRC) drivers/isdn/isdn_net.c

# supply kernel-configuration defaults
ifeq ($(ARCH),)
ARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)
endif
klipsdefaults:
	@KERNELDEFCONFIG=$(KERNELSRC)/arch/$(ARCH)/defconfig ; \
	KERNELCONFIG=$(KCFILE) ; \
	if ! egrep -q 'CONFIG_IPSEC' $$KERNELDEFCONFIG ; \
	then \
		set -x ; \
		cp -a $$KERNELDEFCONFIG $$KERNELDEFCONFIG.orig ; \
		chmod u+w $$KERNELDEFCONFIG ; \
		cat $$KERNELDEFCONFIG $(KERNELKLIPS)/defconfig \
			>$$KERNELDEFCONFIG.tmp ; \
		rm -f $$KERNELDEFCONFIG ; \
		cp -a $$KERNELDEFCONFIG.tmp $$KERNELDEFCONFIG ; \
		rm -f $$KERNELDEFCONFIG.tmp ; \
	fi ; \
	if ! egrep -q 'CONFIG_IPSEC' $$KERNELCONFIG ; \
	then \
		set -x ; \
		cp -a $$KERNELCONFIG $$KERNELCONFIG.orig ; \
		chmod u+w $$KERNELCONFIG ; \
		cat $$KERNELCONFIG $(KERNELKLIPS)/defconfig \
			>$$KERNELCONFIG.tmp ; \
		rm -f $$KERNELCONFIG ; \
		cp -a $$KERNELCONFIG.tmp $$KERNELCONFIG ; \
		rm -f $$KERNELCONFIG.tmp ; \
	fi



# programs

programs:
	@for d in $(SUBDIRS); do (cd $$d && $(MAKE) DESTDIR=${DESTDIR} programs); done

install:
	mkdir -p $(PRIVDIR) $(PUBDIR)
	mkdir -p -m 755 $(CONFDIR)/ipsec.d
	mkdir -p -m 755 $(CONFDIR)/ipsec.d/cacerts
	mkdir -p -m 755 $(CONFDIR)/ipsec.d/crls
	mkdir -p -m 700 $(CONFDIR)/ipsec.d/private
	for m in $(MANPLACES) ; do mkdir -p $(MANTREE)/$$m || exit 1 ; done
	@for d in $(SUBDIRS); do (cd $$d && $(MAKE) DESTDIR=${DESTDIR} install); done

clean:
	@for d in $(SUBDIRS); do (cd $$d && $(MAKE) DESTDIR=${DESTDIR} clean); done
	rm -rf $(RPMTMPDIR) $(RPMDEST)
	rm -f out.*build out.*install	# but leave out.kpatch
	rm -f rpm.spec

distclean:	clean
	rm -f out.kpatch



# proxies for major kernel make operations

# do-everything entries
PRE=precheck verset insert
POST=confcheck programs install kernel
MPOST=confcheck programs install module
RPOST=confcheck programs rpminstall module rpmkinstall rpms
ogo:	$(PRE) pcf $(POST)
oldgo:	$(PRE) ocf $(POST)
menugo:	$(PRE) mcf $(POST)
xgo:	$(PRE) xcf $(POST)
omod:	$(PRE) pcf $(MPOST)
oldmod:	$(PRE) ocf $(MPOST)
menumod:	$(PRE) mcf $(MPOST)
xmod:	$(PRE) xcf $(MPOST) 
orpm:	$(PRE) pcf $(RPOST) 
modrpm:	$(PRE) ocf confcheck module rpmkmodinstall 
oldrpm:	$(PRE) ocf $(RPOST) 
menurpm:	$(PRE) mcf $(RPOST) 
xrpm:	$(PRE) xcf $(RPOST) 

# preliminaries
precheck:
	@if test ! -d $(KERNELSRC) -a ! -L $(KERNELSRC) ; \
	then \
		echo '*** cannot find directory "$(KERNELSRC)"!!' ; \
		echo '*** may be necessary to add symlink to kernel source' ; \
		exit 1 ; \
	fi
	@if ! cd $(KERNELSRC) ; \
	then \
		echo '*** cannot "cd $(KERNELSRC)"!!' ; \
		echo '*** may be necessary to add symlink to kernel source' ; \
		exit 1 ; \
	fi
	@if test ! -f $(KCFILE) ; \
	then \
		echo '*** cannot find "$(KCFILE)"!!' ; \
		echo '*** perhaps kernel has never been configured?' ; \
		echo '*** please do that first; the results are necessary.' ; \
		exit 1 ; \
	fi
	@if test ! -f $(VERFILE) ; \
	then \
		echo '*** cannot find "$(VERFILE)"!!' ; \
		echo '*** perhaps kernel has never been compiled?' ; \
		echo '*** please do that first; the results are necessary.' ; \
		exit 1 ; \
	fi

# set version code if this is a fresh CVS checkout
verset: 
	if test -f cvs.datemark ; \
	then \
		sed "/^IPSECVERSION=xxx/s/xxx/` \
			date -r cvs.datemark +cvs%Y%b%d_%H:%M:%S \
		`/" Makefile.ver >Makefile.ver$$$$ && \
		mv Makefile.ver$$$$ Makefile.ver ; \
		rm -f cvs.datemark ; \
	fi

# configuring (exit statuses disregarded, something fishy here sometimes)
xcf:
	-cd $(KERNELSRC) ; $(MAKE) $(KERNMAKEOPTS) xconfig
mcf:
	-cd $(KERNELSRC) ; $(MAKE) $(KERNMAKEOPTS) menuconfig
pcf:
	-cd $(KERNELSRC) ; $(MAKE) $(KERNMAKEOPTS) config

ocf:
	-cd $(KERNELSRC) ; $(MAKE) $(KERNMAKEOPTS) oldconfig dep </dev/null >/dev/null

rpm:
	mkdir -p ${RPMKERNDIR}
	rm -rf $(RPMTMPDIR)
	if [ ! -d ${RH_KERNELSRC}/configs ]; then echo "Please fix RH_KERNELSRC in Makefile.inc"; exit 1; fi
	cd ${RPMKERNDIR} && lndir ${RH_KERNELSRC} .
	# this is a fixup for problems with having include/asm exist, and
	# being unable to replace it during the build
	rm -f ${RPMKERNDIR}/include/asm
	for cfg in ${RPMKERNDIR}/configs/*.config; \
	do \
		cfgshort=`basename $$cfg .config | sed -e 's/kernel-[^-]*-\(.*\)/\1/'`; \
		cp $$cfg ${RPMKERNDIR}/.config; \
		echo ============= Building for config file $$cfgshort =========== ; \
		make KERNELSRC=${RPMKERNDIR} KERNMAKEOPTS="EXTRAVERSION=-$$cfgshort" CFGSHORT=$$cfgshort modclean ocf; \
		make KERNELSRC=${RPMKERNDIR} KERNMAKEOPTS="EXTRAVERSION=-$$cfgshort" CFGSHORT=$$cfgshort modrpm || exit 1; \
	done; 
	make KERNELSRC=${RPMKERNDIR} programs 
	make KERNELSRC=${RPMKERNDIR} rpminstall 
	make KERNELSRC=${RPMKERNDIR} rpms

confcheck:
	@if test ! -f $(KCFILE) ; \
	then echo '*** no kernel configuration file written!!' ; exit 1 ; \
	fi
	@if ! egrep -q '^CONFIG_IPSEC=[my]' $(KCFILE) ; \
	then echo '*** IPsec not in kernel config ($(KCFILE))!!' ; exit 1 ; \
	fi
	@if ! egrep -q 'CONFIG_IPSEC[ 	]+1' $(ACFILE) && \
		! egrep -q 'CONFIG_IPSEC_MODULE[ 	]+1' $(ACFILE) ; \
	then echo '*** IPsec in kernel config ($(KCFILE)),' ; \
		echo '***	but not in config header file ($(ACFILE))!!' ; \
		exit 1 ; \
	fi
	@if egrep -q '^CONFIG_IPSEC=m' $(KCFILE) && \

=== lib/Makefile ===
##############################################################################
#
#	Makefile -- Master makefile for all libraries.
#

.EXPORT_ALL_VARIABLES:

all:

##############################################################################
#
# Include architecture specific build rules.
#

_reldir = .
include lib.mak

##############################################################################

dir_base = $(LIBCDIR)

ifeq ($(LIBCDIR),libc)
.PHONY:
libm: $(LIBCDIR)
dir_base += libm
lib_libm = *.a
inc_libm = *.h,.
endif

.PHONY: libcrypt_old
libcrypt_old: $(LIBCDIR)
ifeq ($(LIBCDIR),libc)
dir_base += libcrypt_old
else
dir_$(CONFIG_LIB_LIBCRYPT_OLD) += libcrypt_old
endif
lib_libcrypt_old = libcrypt_old.a
inc_libcrypt_old = *.h,.

dir_$(CONFIG_LIB_ADNS) += adns
lib_adns = src/libadns.a

dir_$(CONFIG_LIB_FLEX) += flex
lib_flex = build/*.a
inc_flex = build/FlexLexer.h,.

dir_$(CONFIG_LIB_LIBSSL)+= libssl
lib_libssl = build/*.so* build/*.a
inc_libssl = build/include/*,.

dir_$(CONFIG_LIB_LIBGMP) += libgmp
lib_libgmp = build/install/lib/*.a
inc_libgmp = build/install/include/*.h,.

dir_$(CONFIG_LIB_LIBG) += libg
lib_libg = *.a

dir_$(CONFIG_LIB_LIBPAM) += libpam
lib_libpam = build/libpam*/.libs/*.a build/libpam*/.libs/*.so
inc_libpam = */include/security/*.h,security

dir_$(CONFIG_LIB_LIBPCAP) += libpcap
lib_libpcap = *.a
inc_libpcap = \
	pcap*.h,. \
	pcap/*.h,pcap \
	net/bpf.h,net

dir_$(CONFIG_LIB_ZLIB) += zlib
lib_zlib = libz.a* libz.so*
inc_zlib = *.h,. \

dir_$(CONFIG_LIB_LIBBZ2) += libbzip2
lib_libbzip2 = libbz2.a* libbz2.so*
inc_libbzip2 = bzlib.h,.

dir_$(CONFIG_LIB_LIBATM) += libatm
lib_libatm = \
	src/lib/.libs/*.a \
	src/lib/*.so* \
	src/lib/*.a
inc_libatm = src/include/atm*.h,.

dir_$(CONFIG_LIB_LIBNET) += Libnet

dir_$(CONFIG_LIB_LIBNETOLD) += libnet
lib_libnet = *.a
inc_libnet = *.h,.

dir_$(CONFIG_LIB_LIBJPEG) += libjpeg
lib_libjpeg = *.a
inc_libjpeg = *.h,.

dir_$(CONFIG_LIB_LIBUPNP) += libupnp
lib_libupnp = upnp/bin/*.so*
inc_libupnp = upnp/inc/upnp,.

dir_$(CONFIG_LIB_EXPAT) += expat
lib_expat = *.a *.so*
inc_expat = lib/expat.h,.

dir_$(CONFIG_LIB_LIBKRB5) += libkrb5
dep_libkrb5 = termcap
lib_libkrb5 = build/lib/*.so
inc_libkrb5 = \
	build/include/com_err.h,. \
	build/include/krb5/*.h,. \
	build/include/gssapi/*.h,.

dir_$(CONFIG_LIB_CYRUSSASL) += libcyrussasl
dep_libcyrussasl = libkrb5
lib_libcyrussasl = build/lib/.libs/*.so
inc_libcyrussasl = \
	include/*.h,sasl \
	build/include/*.h,sasl \

dir_$(CONFIG_LIB_LIBLDAP) += libldap
dep_libldap = libcyrussasl
lib_libldap = \
	builddir/libraries/libldap/.libs/*.a \
	builddir/libraries/liblber/.libs/*.a
inc_libldap = \
	include/*.h,. \
	builddir/include/*.h,.

dir_$(CONFIG_LIB_TINYTCL) += tinytcl
path_tinytcl = ../user/tinytcl
lib_tinytcl = *.a* *.so*
inc_tinytcl = *.h,.

dir_$(CONFIG_LIB_LIBCCMALLOC) += libccmalloc

dir_$(CONFIG_LIB_ARES) += libares
lib_libares = build/*.a
inc_libares = ares.h,.

dir_$(CONFIG_LIB_LIBIDN) += libidn
lib_libidn = build/lib/.libs/libidn.a
inc_libidn = lib/*.h,.

dir_$(CONFIG_LIB_LIBLZO) += lzo
lib_lzo = build/src/.libs/*.a
inc_lzo = include/lzo,.

dir_$(CONFIG_LIB_LIBPCRE) += pcre
lib_pcre = builddir/.libs/*.a
inc_pcre = \
	builddir/pcre.h,. \
	pcreposix.h,.

dir_$(CONFIG_LIB_LIBLZMA) += liblzma
lib_libzlma = *.a

dir_$(CONFIG_LIB_OSIP2) += osip2
lib_osip2 = build/install/lib/*.a
inc_osip2 = build/install/include/osip*2,.

dir_$(CONFIG_LIB_LIBEFENCE) += libefence
lib_libefence = *.a

dir_$(CONFIG_LIB_TERMCAP) += termcap
lib_termcap = *.a
inc_termcap = termcap.h,.

dir_$(CONFIG_LIB_LIBSYSFS) += sysfsutils
lib_sysfsutils = build/lib/.libs/*.a
inc_sysfsutils = include/*.h,sysfs

dir_$(CONFIG_LIB_LIBNL) += libnl
lib_libnl = build/libnl*-install/lib/*.a* build/libnl*-install/lib/*.so*
inc_libnl = build/libnl*-install/include/libnl*/netlink*,.

dir_$(CONFIG_USER_TCL_LIBTCL) += tcl
path_tcl = ../user/tcl
lib_tcl = build/*.a

dir_$(CONFIG_LIB_IPTABLES) += iptables
path_iptables = ../user/iptables
lib_iptables = install/lib/*.a install/lib/*.so*
inc_iptables = install/include/*,.

dir_$(CONFIG_LIB_LIBIBERTY) += libiberty
lib_libiberty = build/*.a

dir_$(CONFIG_LIB_BFD) += bfd
lib_bfd = build/*.a
inc_bfd = build/bfd.h,.

dir_$(CONFIG_LIB_POPT) += popt
lib_popt = build/.libs/*.a
inc_popt = popt.h,.

dir_$(CONFIG_LIB_LIBJUDY) += libjudy
lib_libjudy = \
	src/obj/.libs/libJudy.a \
	src/obj/.libs/libJudy.so

dir_$(CONFIG_LIB_CLASSPATH) += classpath

dir_$(CONFIG_LIB_BITVECTOR) += bitvector
lib_bitvector = *.so
inc_bitvector = *.h,.

dir_$(CONFIG_LIB_LIBNVRAM) += libnvram
lib_libnvram = *.so *.a
inc_libnvram = *.h,.

dir_$(CONFIG_LIB_LIBPNG) += libpng
dep_libpng = zlib
lib_libpng = *.a
inc_libpng = *.h,.

dir_$(CONFIG_LIB_LIBXML2) += libxml2
lib_libxml2 = build/.libs/libxml2.so
inc_libxml2 = \
	include/libxml/*.h,libxml \
	build/include/libxml/*.h,libxml

dir_$(CONFIG_LIB_NFNETLINK) += libnfnetlink
lib_libnfnetlink = \
	build/src/.libs/*.a* \
	build/src/.libs/*.so* \
	build/libnfnetlink.pc
inc_libnfnetlink = include/libnfnetlink,.

dir_$(CONFIG_LIB_NETFILTER_LOG) += libnetfilter_log
dep_libnetfilter_log = libnfnetlink
lib_libnetfilter_log = \
	build/src/.libs/*.a* \
	build/src/.libs/*.so* \
	build/libnetfilter_log.pc
inc_libnetfilter_log = include/libnetfilter_log,.

dir_$(CONFIG_LIB_NETFILTER_CONNTRACK) += libnetfilter_conntrack
dep_libnetfilter_conntrack = libnfnetlink
lib_libnetfilter_conntrack = \
	build/src/.libs/*.a* \
	build/src/.libs/*.so* \
	build/libnetfilter_conntrack.pc
inc_libnetfilter_conntrack = include/libnetfilter_conntrack,.

dir_$(CONFIG_LIB_PWLIB) += pwlib
dep_pwlib = STLport

dir_$(CONFIG_LIB_LIBOPENH323) += libopenh323
dep_libopenh323 = pwlib

dir_$(CONFIG_LIB_MINI_LIBINTL) += mini-libintl 
inc_mini-libintl = libintl.h,.


dep_glib = libiconv mini-iconv libffi gettext mini-libintl
dep_libusb-compat = libusb

dep_dbus-glib = dbus glib

ifdef CONFIG_LIB_JSON_C
dep_libubox += json-c
endif

dep_libfuse = mini-iconv libiconv

inc_libiconv = build/libiconv*-install/include/*.h,.
lib_libiconv = build/libiconv*-install/lib/*.a

inc_glib = build/glib*-install/include/*,.
lib_glib = build/glib*-install/lib/*.a \
		   build/glib*-install/lib/*.so

inc_libroxml = build/libroxml*-install/usr/include/*,.
lib_libroxml = build/libroxml*-install/usr/lib/*.a \
		       build/libroxml*-install/usr/lib/*.so

#
# dir 6, 7 and 8 reserved for Makefile.local
#
-include Makefile.local

# And build libraries in the prop directory last
dir_extra += $(ROOTDIR)/prop

include Makefile.auto

##############################################################################

DIRS_y   = $(sort $(dir_base) $(dir_y) $(dir_extra))
DIRS_all = $(dir_$(n)_n) $(dir_$(n)_) $(sort $(dir_base) $(dir_y) $(dir_n) $(dir_) $(dir_extra))
DIRPATH = $(if $(path_$(1)),$(path_$(1)),$(1))

##############################################################################

# The dynamic linker library needs to be linked into lib via a different name
LD_LIB = $(ROOTDIR)/lib/uClibc/lib/ld-uClibc-0.9.29.so
LD_LIB_DEST = $(STAGEDIR)/lib/ld-linux.so.2

##############################################################################

all: base $(DIRS_y)

define dep
.PHONY: $(1)
$(1): base $(dep_$(1))
endef

$(foreach d,$(sort $(dir_y) $(dir_n) $(dir_)),$(eval $(call dep,$(d))))

.PHONY: base
base: $(dir_base) basepost
	@ln -sf $(LD_LIB) $(LD_LIB_DEST)		

$(dir_base): baseprep

basepost: $(dir_base)

.PHONY: baseprep
baseprep:
	mkdir -p $(STAGEDIR)/lib
	$(MAKE) -j1 -C ../include || exit $$?

.PHONY: basepost
basepost:
ifneq ($(findstring uClibc,$(LIBCDIR)),)
	$(MAKE) -C $(LIBCDIR) install_headers PREFIX=$(STAGEDIR)/ DEVEL_PREFIX=uClibc/
endif

.PHONY: $(dir_extra)
$(dir_extra): base $(dir_y)

# the actual dir target
.PHONY: $(DIRS_y)
$(DIRS_y):
	i=$(call DIRPATH,$@); [ ! -d $$i ] || ( touch $$i/.sgbuilt_lib && $(MAKE) $(SUBDIR_SMP_BUILD) -C $$i ) || exit $$?
	@set -f; \
	for p in $(lib_$@); do \
		set +f; \
		for i in $(ROOTDIR)/lib/$(call DIRPATH,$@)/$$p; do \
			[ ! -e "$$i" ] && continue; \
			[ "`basename $$i`" = CVS ] && continue; \
			[ -L "$(STAGEDIR)/lib/`basename $$i`" ] && continue; \
			ln -s $$i $(STAGEDIR)/lib/.; \
			echo "ln -s $$i $(STAGEDIR)/lib/."; \
		done ; \
	done	
	@set -f; \
	for p in $(inc_$@); do \
		src=$(ROOTDIR)/lib/$(call DIRPATH,$@)/`expr "$$p" : '\(.*\),.*'` ; \
		dst=$(STAGEDIR)/include/`expr "$$p" : '.*,\(.*\)'` ; \
		set +f; \
		for i in $$src; do \
			[ ! -e "$$i" ] && continue; \
			[ "`basename $$i`" = CVS ] && continue; \
			[ -L "$$dst/`basename $$i`" ] && continue; \
			[ -d $$dst ] || mkdir $$dst; \
			ln -s $$i $$dst/.; \
			echo "ln -s $$i $$dst/."; \
		done ; \
	done

%_only:
	touch $(@:_only=)/.sgbuilt_lib && $(MAKE) -j$(HOST_NCPU) $(SUBDIR_SMP_BUILD) -C $(@:_only=)

%_clean:
	$(MAKE) -j1 -C $(@:_clean=) clean; rm -f $(@:_clean=)/.sgbuilt_lib; true

%_romfs:
	$(MAKE) $(SUBDIR_SMP_BUILD) -C $(@:_romfs=) romfs

##############################################################################

# Not the best place to install these symlinks, but it will do for now
romfs:
	$(ROMFSINST) -e CONFIG_USER_FLATFSD_FLATFSD -s /etc/config/passwd /etc/passwd
	$(ROMFSINST) -e CONFIG_USER_FLATFSD_FLATFSD -s /etc/config/group /etc/group
	$(ROMFSINST) -e CONFIG_USER_FLATFSD_FLATFSD -s /etc/config/mtab /etc/mtab
	$(ROMFSINST) -e CONFIG_USER_FLATFSD_FLATFSD -s /etc/config/fstab /etc/fstab
	$(ROMFSINST) -e CONFIG_USER_FLATFSD_FLATFSD -s /etc/config/hosts /etc/hosts
	$(ROMFSINST) -e CONFIG_USER_FLATFSD_FLATFSD -s /etc/config/resolv.conf /etc/resolv.conf
	$(ROMFSINST) -e CONFIG_USER_FLATFSD_FLATFSD -e CONFIG_USER_BASH_BASH -s /etc/config/profile /etc/profile
	$(ROMFSINST) -e CONFIG_USER_FLATFSD_FLATFSD -e CONFIG_USER_TINYLOGIN_SHADOWPASSWDS -s /etc/config/shadow /etc/shadow
	for i in $(foreach d,$(DIRS_y),$(call DIRPATH,$d)) ; do \
		[ ! -d $$i ] || $(MAKE) $(SUBDIR_SMP_BUILD) -C $$i romfs || exit $$? ; \
	done

##############################################################################

clean:
	-for i in $(foreach d,$(DIRS_all),$(call DIRPATH,$d)); do \
		if [ -f $$i/.sgbuilt_lib ]; then \
			$(MAKE) -C $$i clean ; \
			rm -f $$i/.sgbuilt_lib; \
		fi; \
	done

##############################################################################

prune:
	-for i in $(foreach d,$(DIRS_all),$(call DIRPATH,$d)); do \
		found=0; \
		for j in $(sort $(foreach d,$(DIRS_y),$(call DIRPATH,$d))) ; do \
			if [ $$i = $$j ]; then \
				found=1; \
			fi; \
		done; \
		if [ $$found = 0 ]; then \
			rm -fr $$i; \
		fi; \
	done

##############################################################################

=== vendors/Makefile ===
#
#	Makefile -- Vendor specific build instructions
#

.EXPORT_ALL_VARIABLES:
.PHONY: all romfs image clean

#
# Include architecture specific build rules.
#

ifndef ROOTDIR
ROOTDIR=..
endif

UCLINUX_BUILD_USER=1
include $(ROOTDIR)/vendors/config/common/config.arch

dir_v := $(PRODUCTDIR)

# Note: the all and clean targets are not normally used,
# since user/Makefile jumps directory to the product directory
all image clean romfs romfs.post:
	$(MAKE) -C $(dir_v) dir_v=$(dir_v) -f $(ROOTDIR)/vendors/vendors-common.mak $@

vendor_%:
	$(MAKE) -C $(dir_v) dir_v=$(dir_v) -f $(ROOTDIR)/vendors/vendors-common.mak $@

prune:
	@for i in `ls -d */ | grep -v -e '$(CONFIG_VENDOR)' -e 'config' -e 'Generic'`; do \
		rm -fr $$i; \
	done
	@for i in `ls -d $(CONFIG_VENDOR)/* | grep -v $(CONFIG_PRODUCT)`; do \
		rm -fr $$i; \
	done

=== config/kconfig/Makefile ===
#
# Local Makefile for the configurator programs
#

CC = cc

# lxdialog pieces needed locally
check-lxdialog := lxdialog/check-lxdialog.sh
CFLAGS += $(shell $(CONFIG_SHELL) $(check-lxdialog) -ccflags)
LDLIBS += $(shell $(CONFIG_SHELL) $(check-lxdialog) -ldflags $(CC))

CPPFLAGS += $(shell $(CONFIG_SHELL) ./check.sh $(CC) $(CFLAGS) $(LDLIBS))

conf-objs := conf.o zconf.tab.o
mconf-objs := mconf.o zconf.tab.o
gconf-objs := gconf.o kconfig_load.o zconf.tab.o
qconf-objs := qconf.o kconfig_load.o zconf.tab.o
lxdialog-objs := lxdialog/checklist.o lxdialog/inputbox.o lxdialog/menubox.o \
	lxdialog/textbox.o lxdialog/util.o lxdialog/yesno.o

all: conf mconf

conf: $(conf-objs)

mconf: $(mconf-objs) $(lxdialog-objs)

gconf: $(gconf-objs)
gconf: CPPFLAGS += `pkg-config --cflags gtk+-2.0 gmodule-2.0 libglade-2.0` -D LKC_DIRECT_LINK
gconf: LDLIBS += `pkg-config --libs gtk+-2.0 gmodule-2.0 libglade-2.0`

%.moc: %.h
	`pkg-config --variable=prefix qt 2>/dev/null || pkg-config --variable=prefix qt-mt`/bin/moc -i $< -o $@
qconf.o: qconf.moc
qconf: $(qconf-objs)
qconf: CPPFLAGS += `pkg-config --cflags qt 2>/dev/null || pkg-config --cflags qt-mt` -D LKC_DIRECT_LINK
qconf: LDLIBS += `pkg-config --libs qt 2>/dev/null || pkg-config --libs qt-mt` -ldl

xconf: qconf

zconf.tab.o: zconf.tab.c zconf.hash.c lex.zconf.c

%.c: %.c_shipped
	cp $< $@

clean:
	rm -f conf mconf gconf qconf *.moc *.o .*.o.cmd lxdialog/*.o

=== freeswan/doc/Makefile ===
# Makefile to generate various formats from HTML source
#
# Assumes the htmldoc utility is available.
# This can be downloaded from www.easysw.com
#
# Also needs lynx(1) for HTML-to-text conversion

# Format arguments for htmldoc
F="--toclevels 4 --header 1cd"

# source files in subdirectory
# basic stuff
a=src/intro.html src/quickstart.html src/faq.html
# related
b=src/manpages.html src/firewall.html src/trouble.html
# more advanced
c=src/compat.html src/interop.html src/performance.html \
	src/testing.html src/kernel.html src/adv_config.html \
	src/install.html src/config.html \
	src/background.html src/user_examples.html
# background and reference material
d=src/politics.html src/ipsec.html \
	src/mail.html src/web.html src/glossary.html src/biblio.html \
	src/rfc.html src/roadmap.html
sections=$a $b $c $d

# separate HTML files built in current directory
separate=intro.html install.html config.html manpages.html \
	firewall.html trouble.html kernel.html roadmap.html \
	compat.html interop.html politics.html ipsec.html \
	mail.html performance.html testing.html web.html \
	glossary.html biblio.html rfc.html faq.html \
	adv_config.html user_examples.html background.html \
	quickstart.html

# various one-big-file formats
howto=HowTo.html HowTo.ps HowTo.pdf HowTo.txt

# where are scripts
SCRIPTDIR=utils

# where do we put HTML manpages?
HMANDIR=manpage.d

# which sort of manpage conversion do we do?
MCT=$(test " `which man2html`" != " /usr/bin/man2html" && echo .old)

# default, build HTML only
# dependencies build most of it
# then we add index
index.html: toc.html HowTo.html manpages src/index.html
	cp src/index.html index.html

# separate files plus table of contents
toc.html : $(sections)
	htmldoc -t html -d .  $(sections)
	# remove HTML formatting added by htmldoc
	$(SCRIPTDIR)/cleanhtml.sh $(SCRIPTDIR)/cleanhtml.sed $(separate)

# one big HTML file
HowTo.html : $(sections)
	htmldoc -t html --toclevels 4 --header ' cf' -f $@ $(sections)

# other HowTo formats
HowTo.txt: HowTo.html
	lynx -dump $< > $@

HowTo.ps : $(sections)
	htmldoc -f $@ $(sections)

HowTo.pdf : $(sections)
	htmldoc -f $@ $(sections)

manpages:	manp$(MCT)

manp:	$(SCRIPTDIR)/mkhtmlman
	$(SCRIPTDIR)/mkhtmlman $(HMANDIR) `find .. -type f -name '*.[1-8]'`

manp.old:	$(SCRIPTDIR)/man_xref
	$(SCRIPTDIR)/man2html.script /usr/local/man $(HMANDIR)

programs: 

all: $(howto) $(manpages) index.html

clean:
	rm -f $(howto) $(separate) toc.html index.html
	rm -rf $(HMANDIR)

checkprograms:

# not enabled by default, because xml2rfc must be installed first.
drafts: draft-richardson-ipsec-opportunistic.txt src/draft-richardson-ipsec-opportunistic.html

draft-richardson-ipsec-opportunistic.txt: src/draft-richardson-ipsec-opportunistic.xml
	XML_LIBRARY=$(XML_LIBRARY):./src xml2rfc xml2rfc $? $@

src/draft-richardson-ipsec-opportunistic.html: src/draft-richardson-ipsec-opportunistic.xml
	XML_LIBRARY=$(XML_LIBRARY):./src xml2rfc xml2html $? $@

=== freeswan/lib/Makefile ===
# FreeS/WAN library
# Copyright (C) 1998-2001  Henry Spencer.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.  See <http://www.fsf.org/copyleft/gpl.txt>.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# RCSID $Id: Makefile,v 1.50 2002/03/27 23:08:24 mcr Exp $



include ../Makefile.inc
include ../Makefile.ver



MANDIR=$(MANTREE)/man3

SRCS=addrtoa.c addrtot.c addrtypeof.c anyaddr.c atoaddr.c \
	atoasr.c atosa.c atosubnet.c atoul.c copyright.c datatot.c \
	goodmask.c initaddr.c initsaid.c initsubnet.c keyblobtoid.c \
	optionsfrom.c pfkey_v2_build.c pfkey_v2_ext_bits.c pfkey_v2_parse.c \
	pfkey_v2_debug.c \
	portof.c prng.c rangetoa.c rangetosubnet.c sameaddr.c \
	satoa.c satot.c subnetof.c subnettoa.c subnettot.c \
	subnettypeof.c ttoaddr.c ttodata.c \
	ttosa.c ttosubnet.c ttoul.c ultoa.c ultot.c \
	ttoprotoport.c

OBJS=${SRCS:.c=.o} version.o

HDRS=freeswan.h internal.h
LIB=libfreeswan.a
# Original flags
CFLAGS=-I. $(USERCOMPILE)
CFLAGS+= -Wall
#CFLAGS+= -Wconversion
#CFLAGS+= -Wmissing-prototypes
CFLAGS+= -Wpointer-arith
CFLAGS+= -Wcast-qual
#CFLAGS+= -Wmissing-declarations
CFLAGS+= -Wstrict-prototypes
#CFLAGS+= -pedantic
#CFLAGS+= -W
#CFLAGS+= -Wwrite-strings
CFLAGS+= -Wbad-function-cast 

ARFLAGS=crvs
EXTHDRS=des.h
EXTLIBS=libdes.a
MANS=anyaddr.3 atoaddr.3 atoasr.3 atosa.3 atoul.3 goodmask.3 \
	initaddr.3 initsubnet.3 keyblobtoid.3 \
	optionsfrom.3 portof.3 prng.3 rangetosubnet.3 \
	sameaddr.3 subnetof.3 ttoaddr.3 ttodata.3 ttosa.3 ttoul.3 version.3
.PHONY:	all install clean l t lt tar check depend checkprograms



all:	$(EXTHDRS) $(LIB) $(EXTLIBS)
programs: all

install:
	mkdir -p $(MANDIR)
	for f in $(MANS) ; \
	do \
		$(INSTALL) $(INSTMANFLAGS) $$f $(MANDIR)/ipsec_$$f || exit 1 ; \
		../utils/manlink $(MANDIR) ipsec_$$f ; \
	done

$(LIB):	$(OBJS)
	$(AR) $(ARFLAGS) $(LIB) $(OBJS)

$(OBJS):	$(HDRS)

# build version.c using version number from Makefile.ver
version.c:	version.in.c ../Makefile.ver
	sed '/"/s/xxx/$(IPSECVERSION)/' version.in.c >$@

des.h:
	ln -s ../libdes/des.h

libdes.a:	../libdes/libdes.a
	ln -f -s ../libdes/libdes.a

# yes, that's CFLAG=, not CFLAGS=
../libdes/libdes.a:
	cd ../libdes ; \
	if test " `arch | sed 's/^i[3456]/x/'`" = " x86" ; \
	then $(MAKE) CC='$(CC)' CFLAG='$(CFLAGS)' TESTING='' x86-elf ; \
	else $(MAKE) CC='$(CC)' CFLAG='$(CFLAGS)' libdes.a ; \
	fi

clean:
	rm -f $(LIB) *.o try* core *.core $(EXTHDRS) $(EXTLIBS) version.c
	cd ../libdes ; $(MAKE) clean



# developer-only stuff
l:
	$(MAKE) $(LIB) ARFLAGS=crv CFLAGS=-O
	$(RANLIB) $(LIB)

t:	$(LIB)
	cp atosubnet.c try.c
	cc -DATOSUBNET_MAIN try.c $(LIB) -o try
	./try -r
	cp ttosubnet.c try1a.c
	cc -DTTOSUBNET_MAIN try1a.c $(LIB) -o try1a
	./try1a -r
	cp ttodata.c try2.c
	cc -DTTODATA_MAIN try2.c $(LIB) -o try2
	./try2 -r
	cp atoasr.c try3.c
	cc -DATOASR_MAIN try3.c $(LIB) -o try3
	./try3 -r
	cp atosa.c try4.c
	cc -DATOSA_MAIN try4.c $(LIB) -o try4
	./try4 -r
	cp ttosa.c try4a.c
	cc -DTTOSA_MAIN try4a.c $(LIB) -o try4a
	./try4a -r
	cp rangetosubnet.c try6.c
	cc -DRANGETOSUBNET_MAIN try6.c $(LIB) -o try6
	./try6 -r
	cp keyblobtoid.c try7.c
	cc -DKEYID_MAIN try7.c $(LIB) -o try7
	./try7
	cp prng.c try8.c
	cc -DPRNG_MAIN try8.c $(LIB) -o try8
	./try8 -r

lt:	$(LIB)
	$(MAKE) t
	cp optionsfrom.c try5.c
	cc -DTEST try5.c $(LIB) -o try5
	echo --foo --bar >try5in1
	echo --optionsfrom >>try5in1
	echo try5in2 >>try5in1
	echo --foo >try5in2
	./try5 --foo --bar --optionsfrom try5in1 --bar something

tar:	clean
	tar -cvf /tmp/lib.tar Makefile [a-z]*

check:
	echo no checks in lib right now.

depend:
	makedepend -Y -- $(CFLAGS) -- $(SRCS)

checkprograms:

# DO NOT DELETE

pfkey_v2_build.o:  freeswan.h ../pluto/constants.h
pfkey_v2_build.o: ../pluto/defs.h ../pluto/log.h ./pfkeyv2.h ./pfkey.h
pfkey_v2_ext_bits.o:  freeswan.h ./pfkeyv2.h ./pfkey.h
pfkey_v2_parse.o:  freeswan.h ../pluto/constants.h
pfkey_v2_parse.o: ../pluto/defs.h ../pluto/log.h ./pfkeyv2.h ./pfkey.h
pfkey_v2_debug.o:  freeswan.h ./pfkeyv2.h ./pfkey.h

=== freeswan/libdes/Makefile ===
include $(ROOTDIR)/freeswan/Makefile.inc


# You must select the correct terminal control system to be used to
# turn character echo off when reading passwords.  There a 5 systems
# SGTTY   - the old BSD system
# TERMIO  - most system V boxes
# TERMIOS - SGI (ala IRIX).
# VMS     - the DEC operating system
# MSDOS   - we all know what it is :-)
# read_pwd.c makes a reasonable guess at what is correct.

# Targets
# make          - twidle the options yourself :-)
# make cc       - standard cc options
# make gcc      - standard gcc options
# make x86-elf  - linux-elf etc
# make x86-out  - linux-a.out, FreeBSD etc
# make x86-solaris
# make x86-bdsi

# If you are on a DEC Alpha, edit des.h and change the DES_LONG
# define to 'unsigned int'.  I have seen this give a %20 speedup.

OPTS0= -DLIBDES_LIT -DRAND -DTERMIO #-DNOCONST

# Version 1.94 has changed the strings_to_key function so that it is
# now compatible with MITs when the string is longer than 8 characters.
# If you wish to keep the old version, uncomment the following line.
# This will affect the -E/-D options on des(1).
#OPTS1= -DOLD_STR_TO_KEY

# There are 4 possible performance options
# -DDES_PTR
# -DDES_RISC1
# -DDES_RISC2 (only one of DES_RISC1 and DES_RISC2)
# -DDES_UNROLL
# after the initial build, run 'des_opts' to see which options are best
# for your platform.  There are some listed in options.txt
#OPTS2= -DDES_PTR 
#OPTS3= -DDES_RISC1 # or DES_RISC2
#OPTS4= -DDES_UNROLL

OPTS= $(OPTS0) $(OPTS1) $(OPTS2) $(OPTS3) $(OPTS4)

MAKE=make -f Makefile
#CC=cc
#CFLAG= -O

#CC=gcc
#CFLAG= -O4 -funroll-loops -fomit-frame-pointer
# normally overridden by FreeS/WAN Makefiles anyway
#CFLAG= -O3 -fomit-frame-pointer

EXTRA_CFLAGS += $(OPTS) $(CFLAG) # only ever add to CFLAGS
CPP=$(CC) -E
#AS=as

# Assember version of des_encrypt*().
DES_ENC=des_enc.o
#DES_ENC=des_enc.o fcrypt_b.o		# normal C version
#DES_ENC=asm/dx86-elf.o	asm/yx86-elf.o	# elf format x86
#DES_ENC=asm/dx86-out.o	asm/yx86-out.o	# a.out format x86
#DES_ENC=asm/dx86-sol.o	asm/yx86-sol.o	# solaris format x86 
#DES_ENC=asm/dx86bsdi.o	asm/yx86basi.o	# bsdi format x86 
ifdef CONFIG_COLDFIRE
 ifdef COLDFIRE_KERNEL
  DES_ENC += asm/coldfire_des.o 	# coldfire fast des
  CPPFLAGS  += -DDES_ASM_FUNCTIONS=1
 endif
endif
ifdef CONFIG_SUPERH
  DES_ENC += asm/sh3.o
  CPPFLAGS  += -DDES_ASM_FUNCTIONS=1
endif
ifdef CONFIG_X86
  DES_ENC = asm/dx86-elf.o	# elf format x86
  ifeq ($(CONFIG_HW_ASSIST),y)
    DES_ENC += sw_des.o
  else
    DES_ENC += asm/yx86-elf.o	# elf format x86
  endif
endif
ifeq ($(CONFIG_HW_ASSIST),y)
  CPPFLAGS  += -DHW_ASSIST=1 -DNO_FCRYPT=1
  DES_ENC   += 
else
  DES_ENC += fcrypt_b.o
  FCRYPT = fcrypt.o
endif

LIBDIR=${DESTDIR}/usr/local/lib
BINDIR=${DESTDIR}/usr/local/bin
INCDIR=${DESTDIR}/usr/local/include
MANDIR=${DESTDIR}/usr/local/man
MAN1=1
MAN3=3
SHELL=/bin/sh
OBJ_LIT=cbc_enc.o ecb_enc.o $(DES_ENC) $(FCRYPT) set_key.o
OBJ_FULL=cbc_cksm.o $(OBJ_LIT) pcbc_enc.o \
	xcbc_enc.o qud_cksm.o \
	cfb64ede.o cfb64enc.o cfb_enc.o ecb3_enc.o \
	enc_read.o enc_writ.o ofb64ede.o ofb64enc.o ofb_enc.o  \
	rand_key.o read_pwd.o read2pwd.o rpc_enc.o  str2key.o supp.o

GENERAL_LIT=COPYRIGHT INSTALL README VERSION Makefile des_crypt.man \
	des.doc options.txt asm
GENERAL_FULL=$(GENERAL_LIT) FILES Imakefile times vms.com KERBEROS MODES.DES \
	des.man DES.pm DES.pod DES.xs Makefile.PL dess.S des3s.S \
	Makefile.uni typemap t Makefile.ssl makefile.bc Makefile.lit \
	des.org des_locl.org
TESTING_LIT=	destest speed des_opts
TESTING_FULL=	rpw $(TESTING_LIT)
TESTING_SRC_LIT=destest.c speed.c des_opts.c
TESTING_SRC_FULL=rpw.c $(TESTING_SRC_LIT)
HEADERS_LIT=des_ver.h des.h des_locl.h podd.h sk.h spr.h
HEADERS_FULL= $(HEADERS_LIT) rpc_des.h
LIBDES_LIT=cbc_enc.c ecb_enc.c fcrypt.c set_key.c des_enc.c fcrypt_b.c
LIBDES_FULL= cbc_cksm.c pcbc_enc.c qud_cksm.c \
	cfb64ede.c cfb64enc.c cfb_enc.c ecb3_enc.c \
	enc_read.c enc_writ.c ofb64ede.c ofb64enc.c ofb_enc.c  \
	rand_key.c rpc_enc.c  str2key.c  supp.c \
	xcbc_enc.c $(LIBDES_LIT) read_pwd.c read2pwd.c

PERL=	des.pl testdes.pl doIP doPC1 doPC2 PC1 PC2 shifts.pl

OBJ=	$(OBJ_LIT)
GENERAL=$(GENERAL_LIT)
TESTING=$(TESTING_LIT)
TESTING_SRC=$(TESTING_SRC_LIT)
HEADERS=$(HEADERS_LIT)
LIBDES=	$(LIBDES_LIT)

ALL=	$(GENERAL) $(TESTING_SRC) $(LIBDES) $(PERL) $(HEADERS)

DLIB=	libdes.a

.PHONY:	all cc gcc x86-elf x86-out x86-solaris x86-bsdi test tar_lit \
	tar shar depend clean dclean install check checkprograms

programs: $(DLIB)

all: $(DLIB) $(TESTING)

cc:
	$(MAKE) CC=cc CFLAGS="-O $(OPTS) $(CFLAG)" all

gcc:
	$(MAKE) CC=gcc CFLAGS="-O3 -fomit-frame-pointer $(OPTS) $(CFLAG)" all

x86-elf:
	$(MAKE) DES_ENC='asm/dx86-elf.o asm/yx86-elf.o' CC='$(CC)' CFLAGS="-DELF $(OPTS) $(CFLAG)" all

x86-out:
	$(MAKE) DES_ENC='asm/dx86-out.o asm/yx86-out.o' CC='$(CC)' CFLAGS="-DOUT $(OPTS) $(CFLAG)" all

x86-solaris:
	$(MAKE) DES_ENC='asm/dx86-sol.o asm/yx86-sol.o' CC='$(CC)' CFLAGS="-DSOL $(OPTS) $(CFLAG)" all

x86-bsdi:
	$(MAKE) DES_ENC='asm/dx86bsdi.o asm/yx86bsdi.o' CC='$(CC)' CFLAGS="-DBSDI $(OPTS) $(CFLAG)" all

# elf
asm/dx86-elf.o: asm/dx86unix.S
	$(CPP) $(CPPFLAGS) -DELF $^ | $(AS) -o $@

asm/yx86-elf.o: asm/yx86unix.S
	$(CPP) $(CPPFLAGS) -DELF $^ | $(AS) -o $@

# solaris
asm/dx86-sol.o: asm/dx86unix.S
	$(CC) -E -DSOL asm/dx86unix.S | sed 's/^#.*//' > asm/dx86-sol.s
	as -o asm/dx86-sol.o asm/dx86-sol.s
	rm -f asm/dx86-sol.s

asm/yx86-sol.o: asm/yx86unix.S
	$(CC) -E -DSOL asm/yx86unix.S | sed 's/^#.*//' > asm/yx86-sol.s
	as -o asm/yx86-sol.o asm/yx86-sol.s
	rm -f asm/yx86-sol.s

# a.out
asm/dx86-out.o: asm/dx86unix.S
	$(CPP) -DOUT asm/dx86unix.S | $(AS) -o asm/dx86-out.o

asm/yx86-out.o: asm/yx86unix.S
	$(CPP) -DOUT asm/yx86unix.S | $(AS) -o asm/yx86-out.o

# bsdi
asm/dx86bsdi.o: asm/dx86unix.S
	$(CPP) -DBSDI asm/dx86unix.S | $(AS) -o asm/dx86bsdi.o

asm/yx86bsdi.o: asm/yx86unix.S
	$(CPP) -DBSDI asm/yx86unix.S | $(AS) -o asm/yx86bsdi.o

asm/dx86unix.S: asm/des-586.pl
	perl -I $(ROOTDIR)/freeswan/libdes/asm/perlasm -I $(ROOTDIR)/freeswan/libdes/asm $^ cpp >$@

asm/yx86unix.S: asm/des-586.pl
	perl -I $(ROOTDIR)/freeswan/libdes/asm/perlasm -I $(ROOTDIR)/freeswan/libdes/asm $^ cpp >$@
	(cd $(ROOTDIR)/freeswan/libdes/asm; perl crypt586.pl cpp ) > asm/yx86unix.S

.PHONY: asm
asm:
	@[ -d asm ] || mkdir asm

.c.o:
	$(CC) $(CPPFLAGS) $(CFLAGS) $(EXTRA_CFLAGS) -c -o $@ $<

test:	all
	./destest

$(DLIB): asm $(OBJ)
	/bin/rm -f $(DLIB)
	$(AR) crs $(DLIB) $(OBJ)

des_opts: des_opts.o $(DLIB)
	$(CC) $(CFLAGS) -o des_opts des_opts.o $(DLIB)

destest: destest.o $(DLIB)
	$(CC) $(CFLAGS) -o destest destest.o $(DLIB)

rpw: rpw.o $(DLIB)
	$(CC) $(CFLAGS) -o rpw rpw.o $(DLIB)

speed: speed.o $(DLIB)
	$(CC) $(CFLAGS) -o speed speed.o $(DLIB)

des: des.o $(DLIB)
	$(CC) $(CFLAGS) -o des des.o $(DLIB)

tags:
	ctags $(TESTING_SRC) $(LIBDES)

tar_lit:
	/bin/mv Makefile Makefile.tmp
	/bin/cp Makefile.lit Makefile
	tar chf libdes-l.tar $(LIBDES_LIT) $(HEADERS_LIT) \
		$(GENERAL_LIT) $(TESTING_SRC_LIT)
	/bin/rm -f Makefile
	/bin/mv Makefile.tmp Makefile

tar:
	tar chf libdes.tar $(ALL)

shar:
	shar $(ALL) >libdes.shar

depend:
	makedepend $(LIBDES) $(TESTING_SRC)

clean:
	/bin/rm -f *.o tags core $(TESTING) $(DLIB) .nfs* *.old *.bak asm/*.o \
		asm/*.S

dclean:
	sed -e '/^# DO NOT DELETE THIS LINE/ q' Makefile >Makefile.new
	mv -f Makefile.new Makefile

# Eric is probably going to choke when he next looks at this --tjh
install:
	if test $(INSTALLTOP); then \
	    echo SSL style install; \
	    cp $(DLIB) $(INSTALLTOP)/lib; \
	    if test -s /bin/ranlib; then \
	        /bin/ranlib $(INSTALLTOP)/lib/$(DLIB); \
	    else \
		if test -s /usr/bin/ranlib; then \
		/usr/bin/ranlib $(INSTALLTOP)/lib/$(DLIB); \
	    fi; fi; \
	    chmod 644 $(INSTALLTOP)/lib/$(DLIB); \
	    cp des.h $(INSTALLTOP)/include; \
	    chmod 644 $(INSTALLTOP)/include/des.h; \
	else \
	    echo Standalone install; \
	    mkdir -p ${LIBDIR}; \
	    cp $(DLIB) $(LIBDIR)/$(DLIB); \
	    if test -s /bin/ranlib; then \
	      /bin/ranlib $(LIBDIR)/$(DLIB); \
	    else \
	      if test -s /usr/bin/ranlib; then \
		/usr/bin/ranlib $(LIBDIR)/$(DLIB); \
	      fi; \
	    fi; \
	    chmod 644 $(LIBDIR)/$(DLIB); \
	    mkdir -p ${MANDIR}/man${MAN3}; \
	    cp des_crypt.man $(MANDIR)/man$(MAN3)/des_crypt.$(MAN3); \
	    chmod 644 $(MANDIR)/man$(MAN3)/des_crypt.$(MAN3); \
	    mkdir -p ${INCDIR}; \
	    cp des.h $(INCDIR)/des.h; \
	    chmod 644 $(INCDIR)/des.h; \
	fi

check:
	echo no checks in lib right now.

checkprograms:

# DO NOT DELETE THIS LINE -- make depend depends on it.

=== lib/STLport/Makefile ===
LDFLAGS += -L$(ROOTDIR)/$(LIBCDIR)/lib

#
# latest versions are in git
# git://stlport.git.sourceforge.net/gitroot/stlport/stlport
# look at moving to git version soon
#

STLPORT_CFLAGS = -D_GLIBCXX_HAVE_MBSTATE_T=1

STLPORT_PKG := STLport-5.2.1
$(STLPORT_PKG)_URL := http://downloads.sourceforge.net/project/stlport/STLport/STLport-5.2.1/STLport-5.2.1.tar.bz2
$(STLPORT_PKG)_NODEFCONF := 1
$(STLPORT_PKG)_CONFOPTS := \
	--prefix= \
	--target=$(CONFIGURE_HOST) \
	--with-extra-cxxflags="${CXXFLAGS} ${CPPFLAGS} $(STLPORT_CFLAGS)" \
	--with-extra-cflags="${CFLAGS} ${CPPFLAGS}" \
	--with-extra-ldflags="${LDFLAGS}"
ifndef CONFIG_LIB_STLPORT_SHARED
$(STLPORT_PKG)_CONFOPTS += --enable-static --disable-shared
else
$(STLPORT_PKG)_CONFOPTS += --use-static-gcc
endif
MAKEVARS = ARCH=a
AUTOMAKE_y += $(STLPORT_PKG)
AUTOMAKE_ROMFS = stlport_romfs

include $(ROOTDIR)/tools/automake.inc

stlport_romfs:
	$(ROMFSINST) -e CONFIG_LIB_STLPORT_SHARED \
		build/$(STLPORT_PKG)-install/lib/libstlport.so.5.2.1 /lib/libstlport.so.5.2.1
	$(ROMFSINST) -e CONFIG_LIB_STLPORT_SHARED -s \
		libstlport.so.5.2.1 /lib/libstlport.so.5.2; \

=== lib/cryptopp/Makefile ===
URL := http://prdownloads.sourceforge.net/cryptopp/cryptopp561.zip
AUTOMAKE_ROMFS = cryptopp_romfs
include $(ROOTDIR)/tools/automake.inc

cryptopp_romfs:
	$(ROMFSINST) build/cryptopp561-install/lib/libcryptopp.so /lib/libcryptopp.so

=== lib/flex/Makefile ===

all: build/build
	$(MAKE) -C build

build/build: Makefile
	rm -rf build
	mkdir build
	(cd build; sh ../configure --host=$(CROSS_COMPILE:-=))
	touch build/build

romfs:

clean:
	rm -rf build

=== lib/libcrypt_old/Makefile ===
#
# Makefile for libcrypt_old
#

CFLAGS += -Wall

#
# MMU hosts may want this included into shared libs
# so build it PIC on platforms that this makes sense
# on
#
ifneq ($(findstring nommu,$(ARCH)),nommu)
CFLAGS += -fPIC
endif

all: libcrypt_old.a

libcrypt_old.a:  crypt_old.o
	$(AR) crv $@ crypt_old.o
	$(RANLIB) $@

.PHONY: romfs
romfs:

.PHONY: clean
clean:
	-rm -f *.o libcrypt_old.a

=== user/ser/debian/changelog ===
ser (0.9.5-0.1) unstable; urgency=low

  * new upstream release (bug fixes) 

 -- Andrei Pelinescu-Onciul <andrei@iptel.org>  Thu, 15 Dec 2005 17:59:15 +0200

ser (0.9.4-0.2) unstable; urgency=low

  * minor debian rules clean target fix 

 -- Andrei Pelinescu-Onciul <andrei@iptel.org>  Wed, 02 Nov 2005 17:46:55 +0200

ser (0.9.4-0.1) unstable; urgency=low

  * new upstream minor release 

 -- Andrei Pelinescu-Onciul <andrei@iptel.org>  Fri, 02 Sep 2005 14:49:37 +0200

ser (0.9.3-0.2) unstable; urgency=low

  * missing init.d/ser fixed 

 -- Andrei Pelinescu-Onciul <andrei@iptel.org>  Tue, 28 Jun 2005 23:56:05 +0200

ser (0.9.3-0.1) unstable; urgency=low

  * new upstream release 
  * added ser-cpl-module, ser-pa-module, ser-postgres-module,
    ser-acc-db-module and ser-acc-radius-module
  * ser-radius-modules depend now on libradiusclient-ng2 
    (not in official Debian archives)

 -- Andrei Pelinescu-Onciul <andrei@iptel.org>  Thu, 23 Jun 2005 16:43:35 +0200

ser (0.8.14) unstable; urgency=low

  * new upstream release 

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.fraunhofer.de>  Fri, 23 Jul 2004 16:00:04 +0200

ser (0.8.12) unstable; urgency=low

  * new upstream release (improved tcp support, set_advertised_address a.s.o)

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.fraunhofer.de>  Fri, 14 Nov 2003 16:41:05 +0200

ser (0.8.11) unstable; urgency=low

  * new upstream release

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.fraunhofer.de>  Wed, 27 Aug 2003 14:53:24 +0200

ser (0.8.11-pre34) unstable; urgency=low

  * minor bugfixes

  * debian packaging changes (debhelper 4.0, init & postinst cleanups, added
    examples, a.s.o)

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.fraunhofer.de>  Fri, 27 Jun 2003 15:14:52 +0200

ser (0.8.11-pre30) unstable; urgency=low

  * minor bugfixes

  * debian packaging changes (added conflicts)

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.fraunhofer.de>  Fri, 06 Jun 2003 14:03:29 +0200

ser (0.8.11-pre29) unstable; urgency=low

  * RFC3261 support (TCP, loose routing)

  * lots of new modules:  rich access control lists (permissions), database in
    textfile support (dbtext), presence agent (pa), enum support (enum),
    voicemail interface (vm), NAT traversal utility for Cisco/ATA NAT
    (nathelper)

  * arhitectural  improvements

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.fraunhofer.de>  Fri, 30 May 2003 18:11:52 +0200

ser (0.8.10) unstable; urgency=low

 * fixes lots of  bugs in 0.8.9 (log not working, ipv6 address conversion)

 * introduces port support in uri matching with myself

 * faster hash function (statefull performance increase ~10%)

 * modules updates (sms, jabber)

 * the jabber module is in a separate package now (it depends on libexpat)

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Tue, 4 Nov 2002 17:23:37 +0200

ser (0.8.9) unstable; urgency=low

  * fixes a few bugs in 0.8.8 (primary some modules which where linked to some bad libs)

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Wed, 7 Oct 2002 16:49:05 +0200

ser (0.8.8) unstable; urgency=low

  * first release (really this time)

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Wed, 25 Sep 2002 23:27:11 +0200

ser (0.8.7.16) unstable; urgency=low

  * First Public Release.

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Tue, 24 Sep 2002 21:33:39 +0200

ser (0.8.7.6-1) unstable; urgency=low

  * Initial Release.

 -- Andrei Pelinescu-Onciul <pelinescu-onciul@fokus.gmd.de>  Tue, 16 Jul 2002 15:41:31 +0200

=== user/speedtouch/debian/changelog ===
speedtouch (1.3-1) unstable; urgency=low

  * New upstream release (adding hotplug, removing spurious hotplug events)

 -- Benoit PAPILLAULT <benoit.papillault@free.fr>  Fri, 23 Apr 2004 00:50:44 +0200

speedtouch (1.2-1) unstable; urgency=low

  * New upstream release

 -- Benoit PAPILLAULT <benoit.papillault@free.fr>  Tue, 16 Mar 2004 21:29:04 +0100

speedtouch (1.2-0beta3) unstable; urgency=low

  * New upstream release

 -- Edouard Gomez <ed.gomez@free.fr>  Sat,  2 Aug 2003 22:29:08 +0200

speedtouch (1.2-0beta2) unstable; urgency=low

  * New upstream release

 -- Edouard Gomez <ed.gomez@free.fr>  Fri, 27 Jun 2003 23:51:17 +0200

speedtouch (1.2-0beta1) unstable; urgency=low

  * Maintaining the debian package myself.

 -- Edouard Gomez <ed.gomez@free.fr>  Fri, 31 Jan 2003 22:36:40 +0100

speedtouch (1.0-1) unstable; urgency=low

  * CVS version will always be higher than any uploaded release, and 
     will be incremented just after a release. This file will not be 
     maintained as a proper changelog, just a stub containing this 
     message and an appropriate version number to outstrip official 
     Debian packages.

 -- Robert McQueen <robot101@debian.org>  Fri, 19 Apr 2002 01:21:12 +0100

=== user/ulogd2/debian/changelog ===
ulogd (2.00beta1) unstable; urgency=low

  * initial debian release

 -- Harald Welte <laforge@netfilter.org>  Sat, 07 Jan 2006 15:55:51 +0100

=== user/xl2tpd/debian/changelog ===
xl2tpd (1.1.11.dfsg.1-2) unstable; urgency=low

  * Added missing copyright notices.

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri,  3 Aug 2007 14:13:23 -0400

xl2tpd (1.1.11.dfsg.1-1) unstable; urgency=low

  * Initial release (Closes: #427113, 402660)
  * Make l2tpd obsolete (Closes: #358799)
  * Repackage upstream tarball to remove non-free RFC (Closes: #393381)

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 31 Jul 2007 20:57:23 -0400

=== user/elvis-tiny/debian/control ===
Source: elvis-tiny
Section: base
Priority: standard
Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
Standards-Version: 2.4.0.0

Package: elvis-tiny
Architecture: any
Pre-depends: ${shlibs:Depends}
Description: Tiny vi compatible editor for the base system.
 Elvis-tiny is based on a 1991 Minix version of elvis. You should install
 another vi-editor (such as "elvis", "nvi" or "vim") if you want a full
 featured vi editor.

=== user/speedtouch/debian/control ===
Source: speedtouch
Section: contrib/net
Priority: optional
Maintainer: Robert McQueen <robot101@debian.org>
Build-Depends: debhelper (>= 3)
Standards-Version: 3.5.6

Package: speedtouch
Architecture: any
Depends: ${shlibs:Depends}, ppp, hotplug, pppoe
Description: userspace driver for Alcatel Speedtouch USB ADSL Adapter
 * THIS IS AN UNOFFICIAL PACKAGE BUILT FROM UPSTREAM CVS *
 .
 This package contains userspace utilities and daemons necessary to get 
 the Alcatel Speedtouch USB ADSL Adapter working in Linux without any 
 (mandatory) kernel patches.
 .
 These drivers are GPLed and reverse engineered from scratch, and
 provide an alternative to the official drivers which require kernel
 patches and a binary-only management utility. However, they do require
 a file containing the firmware for the adapter, such as mgmt.o from
 the Linux management utility, or alcaudsl.sys from the Windows drivers.
 .
 The drivers communicate with the adapter via usbdevfs in /proc/bus/usb.
 The 'modem_run' utility locates the adapter, initialises it, uploads
 the firmware, and monitors the ADSL line, and the 'pppoa3' daemon 
 passes ATM frames between the ADSL adapter and the pppd process.

=== user/ulogd2/debian/control ===
Source: ulogd
Section: net
Priority: optional
Maintainer: Harald Welte <laforge@netfilter.org>
Build-Depends: cdbs (>= 0.4), debhelper (>= 4.2), gcc (>= 3.4), libnfnetlink-dev (>= 0.0.13), libnetfilter-conntrack-dev (>= 0.0.28), libnetfilter-log-dev (>= 0.0.12), libmysqlclient-dev, libpq-dev, libpcap-dev, libsqlite-dev
Standards-Version: 3.6.2

Package: ulogd
Architecture: any
Depends: ${shlibs:Depends}
Description: Userspace logging daemon for netfilter/iptables

Package: ulogd-output-pgsql
Architecture: any
Depends: ${shlibs:Depends}, ulogd (= ${Source-Version})
Description: Userspace logging daemon for netfilter/iptables
 The userspace connection tracking table administration program.
 .
 This package provides the PostgreSQL output plugin.

Package: ulogd-output-mysql
Architecture: any
Depends: ${shlibs:Depends}, ulogd (= ${Source-Version})
Description: Userspace logging daemon for netfilter/iptables
 .
 This package provides the MySQL output plugin.

Package: ulogd-output-pcap
Architecture: any
Depends: ${shlibs:Depends}, ulogd (= ${Source-Version})
Description: Userspace logging daemon for netfilter/iptables
 .
 This package provides the PCAP output plugin.

Package: ulogd-output-sqlite3
Architecture: any
Depends: ${shlibs:Depends}, ulogd (= ${Source-Version})
Description: Userspace logging daemon for netfilter/iptables
 .
 This package provides the SQLITE3 output plugin.

Package: ulogd-input-nflog
Architecture: any
Depends: ${shlibs:Depends}, ulogd (= ${Source-Version})
Description: Userspace logging daemon for netfilter/iptables
 .
 This package provides the NFLOG input plugin.

Package: ulogd-input-nfct
Architecture: any
Depends: ${shlibs:Depends}, ulogd (= ${Source-Version})
Description: Userspace logging daemon for netfilter/iptables
 .
 This package provides the conntrack_netlink input plugin.

=== user/xl2tpd/debian/control ===
Source: xl2tpd
Section: net
Priority: optional
Maintainer: Roberto C. Sanchez <roberto@connexer.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: xl2tpd
Architecture: any
Provides: l2tpd
# For Ubuntu dapper drake, use:
#Replaces: l2tpd (<< ${source-Version})
Replaces: l2tpd (<< ${source:Version})
Depends: ${shlibs:Depends}, ${misc:Depends}, ppp
Description: a layer 2 tunneling protocol implementation
 xl2tpd is an open source implementation of the L2TP tunneling
 protocol (RFC2661).  xl2tpd is forked from l2tpd and is maintained by
 Xelerance Corporation.
 .
 This package replaces the obsolete and unmaintained l2tpd.
 .
 The main purpose of this protocol is to tunnel PPP frames through IP
 networks.  It implements both LAC and LNS role in the L2TP networking
 architecture.
 .
 Homepage: http://www.xelerance.com/software/xl2tpd/

Package: l2tpd
Architecture: all
Depends: xl2tpd
Description: dummy package for l2tpd to xl2tpd transition
 Dummy package to upgrade to the new xl2tpd package.

=== user/ser/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# $Id: rules,v 1.9.2.5 2005/11/02 17:48:44 andrei Exp $
#
# History:
# --------
#  2003-05-30  updated for the 0.8.11 release, changed modules list and
#              some ser make options (andrei)
#  2003-06-27  changed to DH_COMPAT 4 (debian/compat) + other filenames
#              & small fixes (andrei)
#  2003-08-29  replaced modules-install with modules-install-all, to 
#               install also the modules doc (andrei)
#  2004-07-23  added ext and commented out the radius modules
#              (the current radius modules depend on radiusclient-ng which
#               is not yet part of debian)  (andrei)
#  2005-06-23  added cpl-c, pa & re-enabled radius (with libradiusclient-ng)
#                (andrei)


# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
# export DH_COMPAT=4
#  -- already set in compat
#  force no striping (always include debug symbols for now)
export DEB_BUILD_OPTIONS:="$(DEB_BUILD_OPTIONS) nostrip"

# modules not in the "main" package or unstable 
EXCLUDED_MODULES=	mysql jabber auth_radius group_radius uri_radius \
					avp_radius pa postgres snmp cpl cpl-c ext extcmd 

# modules depending on mysql
MYSQL_MODULES=mysql
#jabber related modules
JABBER_MODULES=jabber
#module depending on radiusclient
RADIUS_MODULES=auth_radius group_radius uri_radius avp_radius
#cpl related modules
CPL_MODULES=cpl-c
# pa related modules
PA_MODULES=pa
# postgres modules
POSTGRES_MODULES=postgres
# acc module
ACC_MODULE=acc

# the same but with path prepended (needed for modules="...")
MYSQL_MOD_PATH=$(addprefix modules/, $(MYSQL_MODULES))
JABBER_MOD_PATH=$(addprefix modules/, $(JABBER_MODULES))
RADIUS_MOD_PATH=$(addprefix modules/, $(RADIUS_MODULES))
CPL_MOD_PATH=$(addprefix modules/, $(CPL_MODULES))
PA_MOD_PATH=$(addprefix modules/, $(PA_MODULES))
POSTGRES_MOD_PATH=$(addprefix modules/, $(POSTGRES_MODULES))
ACC_MOD_PATH=$(addprefix modules/, $(ACC_MODULE))




ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) all  skip_modules="$(EXCLUDED_MODULES)" cfg-target=/etc/ser/
	$(MAKE) modules modules="$(MYSQL_MOD_PATH)" cfg-target=/etc/ser/
	$(MAKE) modules modules="$(JABBER_MOD_PATH)" cfg-target=/etc/ser/
	$(MAKE) modules modules="$(RADIUS_MOD_PATH)" cfg-target=/etc/ser/
	$(MAKE) modules modules="$(CPL_MOD_PATH)" cfg-target=/etc/ser/
	$(MAKE) modules modules="$(PA_MOD_PATH)" cfg-target=/etc/ser/
	# postgres will generate lots of warnings
	$(MAKE) modules modules="$(POSTGRES_MOD_PATH)" cfg-target=/etc/ser/
	# acc-db & acc-radius are compiled on install, because they share
	#  the same source tree with acc
	#/usr/bin/docbook-to-man debian/ser.sgml > ser.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) \
		include_modules="$(MYSQL_MODULES) $(JABBER_MODULES) $(RADIUS_MODULES)\
							$(CPL_MODULES) $(PA_MODULES) $(POSTGRES_MODULES)"\
							proper

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/ser
	$(MAKE) install  skip_modules="$(EXCLUDED_MODULES)" \
		basedir=$(CURDIR)/debian/ser \
		prefix=/usr \
		cfg-prefix=$(CURDIR)/debian/ser \
		cfg-target=/etc/ser/
	# install only the mysql module
	$(MAKE) install-modules-all modules="$(MYSQL_MOD_PATH)"  \
		basedir=$(CURDIR)/debian/ser-mysql-module \
		prefix=/usr \
		cfg-prefix=$(CURDIR)/debian/ser-mysql-module \
		cfg-target=/etc/ser/ \
		doc-dir=share/doc/ser-mysql-module
	#install only the jabber module
	$(MAKE) install-modules-all modules="$(JABBER_MOD_PATH)"  \
		basedir=$(CURDIR)/debian/ser-jabber-module \
		prefix=/usr \
		cfg-prefix=$(CURDIR)/debian/ser-jabber-module \
		cfg-target=/etc/ser/ \
		doc-dir=share/doc/ser-jabber-module
	#install only the radius modules
	$(MAKE) install-modules-all modules="$(RADIUS_MOD_PATH)"  \
		basedir=$(CURDIR)/debian/ser-radius-modules \
		prefix=/usr \
		cfg-prefix=$(CURDIR)/debian/ser-radius-modules \
		cfg-target=/etc/ser/ \
		doc-dir=share/doc/ser-radius-modules
	#install only the cpl module
	$(MAKE) install-modules-all modules="$(CPL_MOD_PATH)"  \
		basedir=$(CURDIR)/debian/ser-cpl-module \
		prefix=/usr \
		cfg-prefix=$(CURDIR)/debian/ser-cpl-module \
		cfg-target=/etc/ser/ \
		doc-dir=share/doc/ser-cpl-module
	#install only the pa module
	$(MAKE) install-modules-all modules="$(PA_MOD_PATH)"  \
		basedir=$(CURDIR)/debian/ser-pa-module \
		prefix=/usr \
		cfg-prefix=$(CURDIR)/debian/ser-pa-module \
		cfg-target=/etc/ser/ \
		doc-dir=share/doc/ser-pa-module
	#install only the postgres module
	$(MAKE) install-modules-all modules="$(POSTGRES_MOD_PATH)"  \
		basedir=$(CURDIR)/debian/ser-postgres-module \
		prefix=/usr \
		cfg-prefix=$(CURDIR)/debian/ser-postgres-module \
		cfg-target=/etc/ser/ \
		doc-dir=share/doc/ser-postgres-module
	# Ugly hacks to make 2 new versions from acc: ac_db & acc_radius
	#install only the acc db version module
	cd $(ACC_MOD_PATH); $(MAKE) proper; cd ../..; \
	$(MAKE) install-modules-all modules="$(ACC_MOD_PATH)" \
		basedir=$(CURDIR)/debian/ser-acc-db-module \
		prefix=/usr \
		cfg-prefix=$(CURDIR)/debian/ser-acc-db-module \
		cfg-target=/etc/ser/ \
		doc-dir=share/doc/ser-acc-db-module \
		NAME=acc_db.so modules_names=acc_db.so EXTRA_DEFS=-DSQL_ACC ;\
	cd $(ACC_MOD_PATH); $(MAKE) proper NAME=acc_db.so; cd ../..
	#install only the acc radius version module
	$(MAKE) install-modules-all modules="$(ACC_MOD_PATH)"  \
		basedir=$(CURDIR)/debian/ser-acc-radius-module \
		prefix=/usr \
		cfg-prefix=$(CURDIR)/debian/ser-acc-radius-module \
		cfg-target=/etc/ser/ \
		doc-dir=share/doc/ser-acc-radius-module \
		NAME=acc_radius.so modules_names=acc_radius.so EXTRA_DEFS=-DRAD_ACC \
		LIBS=-lradiusclient-ng ; \
	cd $(ACC_MOD_PATH); $(MAKE) proper NAME=acc_radius.so; cd ../..
	#dh_movefiles



# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common: 
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit  -- defaults 23
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent packages using the common target
binary-indep: build install
# (Uncomment this next line if you have such packages.)
#        $(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
# We have nothing to do by default.


# Build architecture-dependent packages using the common target
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	$(MAKE) -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== user/speedtouch/debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir
	./configure --prefix=/usr --mandir=\$${prefix}/share/man \
	  --infodir=\$${prefix}/share/info
	make
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
# Add here commands to install the package into debian/speedtouch.
	$(MAKE) install prefix="$(CURDIR)/debian/speedtouch/usr" \
	  sysconfdir="$(CURDIR)/debian/speedtouch/etc"

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installinit
#	dh_installcron
	dh_installman
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== user/ulogd2/debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

UPSTREAM_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f2 -d' ' | cut -f1 -d-)
DEB_TARBALL := ulogd-$(UPSTREAM_VERSION).tar.bz2
DEB_TAR_SRCDIR := ulogd-$(UPSTREAM_VERSION)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_DH_INSTALL_SOURCEDIR := debian/tmp

=== user/xl2tpd/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/xl2tpd install
	cp $(CURDIR)/doc/l2tpd.conf.sample $(CURDIR)/debian/xl2tpd/etc/xl2tpd/xl2tpd.conf
	cp $(CURDIR)/doc/l2tp-secrets.sample $(CURDIR)/debian/xl2tpd/etc/xl2tpd/l2tp-secrets

# Build architecture-independent files here.
binary-indep: build install
	dh_link -pl2tpd usr/share/doc/xl2tpd usr/share/doc/l2tpd

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
#	dh_install
	dh_installinit
	dh_installman
	cp debian/lintian-overrides \
		debian/xl2tpd/usr/share/lintian/overrides/xl2tpd
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	chmod 600 $(CURDIR)/debian/xl2tpd/etc/xl2tpd/l2tp-secrets
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== user/xl2tpd/debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage 
# <Webpage URL> <string match>
#http://www.example.com/downloads.php xl2tpd-(.*)\.tar\.gz
http://www.xelerance.com/software/xl2tpd/ xl2tpd-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/xl2tpd-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/xl2tpd-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
# http://sf.net/xl2tpd/xl2tpd-(.*)\.tar\.gz
